apiVersion: backstage.io/v1alpha1
kind: Component
spec:
  type: website
  lifecycle: production
  owner: team-a
  system: artist-engagement-portal
app:
  title: Backstage Demo
  baseUrl: http://localhost:3000

organization:
  name: Developer portal

metadata:
  name: example
  description: example.com

ports:
  - port: 3000
    onOpen: open-preview

tasks:
  - init: npm install
    command: npm start

links:
  - url: https://dashboard.example.com
    title: My Dashboard
    icon: dashboard
